> For the complete documentation index, see [llms.txt](https://docs.terminal.africa/tship/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.terminal.africa/tship/miscallaneous/cities.md).

# Cities

Get list of cities available in a given country.

## /cities

<mark style="color:blue;">`GET`</mark> `https://api.terminal.africa/v1/cities`

This endpoint allows you to retrieve a list of valid cities available in a specific country.

#### Query Parameters

| Name                                            | Type   | Description        |
| ----------------------------------------------- | ------ | ------------------ |
| country\_code<mark style="color:red;">\*</mark> | String | ISO 2 country code |
| state\_code                                     | String | Unique state code  |

{% tabs %}
{% tab title="200: OK Cities in Albania retrieved successfully." %}

```javascript
{
    "status": true,
    "message": "Cities in Albania - KU",
    "data": [
        {
            "name": "Bajram Curri",
            "countryCode": "AL",
            "stateCode": "KU",
            "latitude": "42.35734000",
            "longitude": "20.07679000"
        },
        {
            "name": "Krumë",
            "countryCode": "AL",
            "stateCode": "KU",
            "latitude": "42.19694000",
            "longitude": "20.41333000"
        },
        {
            "name": "Kukës",
            "countryCode": "AL",
            "stateCode": "KU",
            "latitude": "42.07694000",
            "longitude": "20.42194000"
        },
        {
            "name": "Rrethi i Hasit",
            "countryCode": "AL",
            "stateCode": "KU",
            "latitude": "42.16667000",
            "longitude": "20.33333000"
        },
        {
            "name": "Rrethi i Kukësit",
            "countryCode": "AL",
            "stateCode": "KU",
            "latitude": "42.00000000",
            "longitude": "20.33333000"
        }
    ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.terminal.africa/tship/miscallaneous/cities.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
